Subject: Re: bug#23746: 25.0.95; Doc fixes (grammar, typos, clarification)

From: Eli Zaretskii <[email-masked]>
Date: Mon, 13 Jun 2016 17:14:35 +0300

> From: Stephen Berman <[email-masked]>
> Cc: Noam Postavsky <[email-masked]>,  [email-masked],  [email-masked]
> Date: Mon, 13 Jun 2016 11:20:43 +0200
> 
> The line between grammaticality and stylistic variation isn't always
> clearcut, but I think there would be little or no disagreement among
> native speakers of the most widely spoken dialects of English (there may
> be dialects that differ, though I am not aware of any) regarding at
> least two of the three underlined parts above: "wish" and "allow" can
> both occur with non-finite clausal complements, but with differences:
> "wish" can occur only with a "to"-infinitive, usually without a subject,
> as in "I wish to go" but possibly also with one, as in "I wish you to
> go" or "I wish for you to go" (to me, the first sounds rather formal or
> archaic, the second sounds colloquial but possibly non-standard); in
> contrast, an "-ing" complement (with or without a subject), as in "I
> wish (you) going" is unacceptable.  "Allow" can occur with a
> "to"-infinitive, but then only with a subject, as in "I allowed you to
> go" but not "I allowed to go" (unless the complement is passivized, as
> in "We were allowed to go"); in some cases a subjectless "-ing"
> complement is possible, as in "the header line allows sorting entries by
> clicking on column headers", where the understood subject of "sorting"
> is nonspecific, e.g., people in general, not some particular individual:
> "I allowed John going" is unacceptable (there may be some dialectal
> variation about this, but I'm not sure).  These differences are
> grammatical in the sense that native speakers by and large agree on
> what's "right" and "wrong", regardless of context or stylistic register
> (though, again, there are gray areas).
>   
> As for my suggestion to use "can" instead of "could", I suspect there
> may be less agreement about that: both entail possibility, but in the
> above context "can" sounds more natural (or appropriate) to me due to
> the present tense of the whole sentence, in contrast to the following:
> "If your program told the process the dimensions of the window, the
> process could adapt its output to those dimensions".  But I think many
> native speakers would find either form perfectly acceptable in the above
> context.

Is the text below good enough?

     If the process’s buffer is displayed in a window, your Lisp program
  may wish to tell the process the dimensions of that window, so that the
  process could adapt its output to those dimensions, much as it adapts to
  the screen dimensions.  The following functions allow communicating
  this kind of information to processes; [...]